## org.hibernate.exception
Class GenericJDBCException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.JDBCException
                          org.hibernate.exception.GenericJDBCException

All Implemented Interfaces:
  Serializable

    public class GenericJDBCException

extends JDBCException

Generic, non-specific JDBCException.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`GenericJDBCException(String string, SQLException root)`
`GenericJDBCException(String string, SQLException root, String sql)`

Method Summary

Methods inherited from class org.hibernate.JDBCException
`getErrorCode, getSQL, getSQLException, getSQLState`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericJDBCException

    public GenericJDBCException(String string,
                                SQLException root)

### GenericJDBCException

    public GenericJDBCException(String string,
                                SQLException root,
                                String sql)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.